package com.bonus.core.common.sysfile.vo;

import com.bonus.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("文件上传")
public class SysFileUploadVO {
   @ApiModelProperty("存储桶名称")
   private String bucketName;
   @ApiModelProperty("文件下载路径")
   private String fileNameUrl;
   @ApiModelProperty("请求路径")
   private String url;
   @ApiModelProperty("原始文件名")
   private String originalFileName;

   public String getFileNameUrl() {
      return SysUtil.getCutFileUrl(this.fileNameUrl);
   }

   public String getBucketName() {
      return this.bucketName;
   }

   public String getUrl() {
      return this.url;
   }

   public String getOriginalFileName() {
      return this.originalFileName;
   }

   public void setBucketName(final String bucketName) {
      this.bucketName = bucketName;
   }

   public void setFileNameUrl(final String fileNameUrl) {
      this.fileNameUrl = fileNameUrl;
   }

   public void setUrl(final String url) {
      this.url = url;
   }

   public void setOriginalFileName(final String originalFileName) {
      this.originalFileName = originalFileName;
   }

}
